#
# spec file for package yast2-samba-provision
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-samba-provision
Version:        1.0.5
Release:        1.12
Summary:        YaST2 - Samba AD DC provision
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-samba-provision
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 3.3.8
BuildRequires:  yast2-devtools >= 4.4.0
BuildRequires:  yast2-perl-bindings
BuildRequires:  yast2-testsuite
Requires:       yast2 >= 3.3.8
Requires:       yast2-network
Requires:       yast2-python3-bindings >= 4.0.8
Requires:       yast2-ruby-bindings >= 3.3.1
BuildArch:      noarch

%description
This package contains the YaST2 component to configure samba as an Active
Directory Domain Controller.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%license COPYING
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}

%changelog
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 1.0.5
* Tue Aug 27 2019 schubi@suse.de
- Adapting Dockerfile to yast-ruby container.
* Wed Jul 10 2019 Samuel Cabrero <scabrero@suse.de>
- Catch and show internal python exceptions; (bsc#1140548);
- 1.0.4
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 1.0.3
* Wed May 22 2019 Samuel Cabrero <scabrero@suse.de>
- Call samba python API using yast python binding; (bsc#1117597);
  (CVE-2018-17956)
- Show a dialog with provision details or errors; (bsc#1132676);
- Enable and start services after provision
- 1.0.2
* Wed Nov  7 2018 jengelh@inai.de
- Remove TM mark.
* Wed Oct 31 2018 Samuel Cabrero <scabrero@suse.de>
- Fix required packages after samba-kdc renamed to samba-ad-dc
- 1.0.1
* Wed Sep 13 2017 scabrero@suse.com
- Hide credentials widget when creating a new forest
- Check for non existent included files and create them empty
- Fix network config not being updated after provision
- Hide samba and kerberos progress on write
- 1.0.0
* Mon Sep 11 2017 scabrero@suse.com
- Initial version
